GroupOutput (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class GroupOutput

    java.lang.Object
      fr.inrialpes.exmo.align.util.GroupOutput

    public class GroupOutput

extends Object

A basic class for synthesizing the alignment results of an algorithm with regard to the ontology characteristics as a colored module. These modules are however computed on averaging the precision recall/graphs on test directories instead of recording the actual precision recall graphs which would amount at recoding all the valid and invalid alignment cells and their level.

      java -cp procalign.jar fr.inrialpes.exmo.align.util.GroupOutput [options]

where the options are:

      -o filename --output=filename
      -c --color
      -d debug --debug=level
      -l list of compared algorithms
      -t output --type=output: xml/tex/html/ascii

The input is taken in the current directory in a set of subdirectories (one per test) each directory contains a the alignment files (one per algorithm) for that test and the reference alignment file. If output is requested (`-o` flags), then output will be written to `output` if present, stdout by default. In case of the Latex output, there are numerous files generated (regardless the `-o` flag).

     $Id: GroupOutput.java 1353 2010-03-24 23:49:46Z euzenat $

Author:
  Jérôme Euzenat

Field Summary
`(package private) static int[][]` | `cellSpec`
`(package private) String` | `color`
`(package private) int` | `debug`
`(package private) String` | `fileNames`
`(package private) Vector<String>` | `listAlgo`
`(package private) String` | `outFile`
`(package private) PrintWriter` | `output`
`(package private) BasicParameters` | `params`
`(package private) static int` | `SIZE`
`(package private) String` | `type`

Constructor Summary
`GroupOutput()`

Method Summary
`String` | `colorFormat(double f)`
`Evaluator` | `eval(String alignName1, String alignName2)`
`void` | `iterateAlgorithm()`
`double[]` | `iterateCells(String algo)`
`double` | `iterateTests(String algo, int[] tests)`
`static void` | `main(String[] args)`
`void` | `printPGFTeX(String algo, double[] cells)`
`void` | `printTSV(double[][] result)`
`void` | `run(String[] args)`
`String` | `stringFormat(double f)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    static int SIZE

### cellSpec

    static int[][] cellSpec

### params

    BasicParameters params

### listAlgo

    Vector<String> listAlgo

### fileNames

    String fileNames

### outFile

    String outFile

### type

    String type

### color

    String color

### debug

    int debug

### output

    PrintWriter output

Constructor Detail

### GroupOutput

    public GroupOutput()

Method Detail

### main

    public static void main(String[] args)

### run

    public void run(String[] args)
             throws Exception

  Throws:
    `Exception`

### iterateAlgorithm

    public void iterateAlgorithm()

### iterateCells

    public double[] iterateCells(String algo)

### iterateTests

    public double iterateTests(String algo,
                               int[] tests)

### eval

    public Evaluator eval(String alignName1,
                          String alignName2)
                   throws AlignmentException

  Throws:
    `AlignmentException`

### printPGFTeX

    public void printPGFTeX(String algo,
                            double[] cells)

### printTSV

    public void printTSV(double[][] result)

### stringFormat

    public String stringFormat(double f)

### colorFormat

    public String colorFormat(double f)

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010